#ifndef OPT_SOUND_H
#define OPT_SOUND_H

#include "optionstab.h"

class QWidget;
struct Options;
class QLineEdit;
class QButtonGroup;

class OptionsTabSound : public OptionsTab
{
	Q_OBJECT
public:
	OptionsTabSound(QObject *parent);
	~OptionsTabSound();

	QWidget *widget();
	void applyOptions(Options *opt);
	void restoreOptions(const Options *opt);

private slots:
	void chooseSoundEvent(int x);
	void previewSoundEvent(int x);
	void soundReset();
	void setData(PsiCon *, QWidget *);

private:
	QWidget *w, *parentWidget;
	QLineEdit *le_oe[10];
	QButtonGroup *bg_se, *bg_sePlay;
};

#endif
